<?xml version="1.0" encoding="EUC-KR" ?>
<%@ page language="java" contentType="text/html; charset=EUC-KR"
    pageEncoding="EUC-KR"%>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.2//EN" "http://www.wapforum.org/DTD/xhtml-mobile12.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="ko" xml:lang="ko">
<head>	
<meta http-equiv="Content-Type" content="text/html; charset=EUC-KR" />
<meta name="viewport" content="minimum-scale=1.0,maximum-scale=1.0,initial-scale=1.0,user-scalable=no" />
<title>FileUpload Test Form</title>
<style type="text/css">
body{padding:0;margin:0;font-size:13px;font-family:'',NanumGothic,' ','Malgun Gothic','',Dotum,'',Gulim,Helvetica,AppleGothic,sans-serif;}
div.fileUploadSection{float:left;border:1px solid #ccc;width:100%;height:40px;border-top:none;}
div.fileUploadSection div.fileUpWrapper{text-align:center;margin:6px 0 0 5%;}
div.fileUploadSection div.fileUpWrapper div.uploadPathDiv{float:left;line-height:23px;height:25px;width:75%;border:1px solid #ccc;}
div#viewLoading {text-align:center;padding-top:120px;filter:alpha(opacity=60);opacity: alpha*0.6;background-color:#222222;color:#bcbfc4;}
div#viewLoading div.progressTitle{text-align:left;border:2px solid #111111;border-bottom:1px solid #111111;padding:15px 0 15px 0;width:99.2%;}
div#viewLoading div.progressTitle span{padding-left:3px;padding-bottom:5px;}
div#viewLoading div.progressWrapper{border:1px solid #111111;width:99.2%;text-align:center;}
div#viewLoading div.progressWrapper div.progresspercent{background-color:#1a1a1a;height:40px;border:1px solid #000000;}
div#viewLoading div.progressWrapper div.progresspercent span.percentwrapper{line-height:38px;}
div#viewLoading div.progressWrapper div.progresspercent span.percentwrapper span.pgbar{display:block;float:left;background-color:#fecf23;width:90%;}
div#viewLoading div.progressWrapper div.progresspercent span.percentwrapper span.pgpercent{position:absolute;left:30%;right:30%;color:#c0c0c0;}
div#viewLoading div.progressWrapper div.progresspercent span.percentwrapper span.pgpercent strong{font-weight:bold;}
div#viewLoading div.progressfilereadsize{margin:0 0 5px 0;height:40px;border:1px solid #111111;}
div#viewLoading div.progressfilereadsize span{line-height:40px;}
div#viewLoading div.progressfilereadsize span.divider strong{font-weight:400;}
div#viewLoading div.progressSpeed{margin:0 0 5px 0;height:40px;border:1px solid #111111;text-align:center;}
div#viewLoading div.progressSpeed span.kbps{line-height:40px;}
div#viewLoading div.progressSpeed span.kbps strong{font-weight:400;}
.pgbarbgcolor{background-color:#fecf23;}
</style>
<script type="text/javascript" src="jquery-1.8.2.min.js"></script>
<script type="text/javascript" src="jquery.form.js"></script>
<script type="text/javascript">
$(function(){
	var fileUploadElem = $("input#file");
	var filePathViewElem = $("input#filePath");
	var fileUploadBtnElem = $("span.sendData");
	var fileUploadFrm = $("#fileform");	
	
	$(fileUploadElem).change(function(){
		$(filePathViewElem).val($(this).val());
	});

	//ajax Progress image view Elem
	var viewLoadingImgElem = $("div#viewLoading");
	$(viewLoadingImgElem).hide();	//ʱεÿ ̹ .
	
	var intervalID = 0;
	//ajax û۰ Ϸ α׷ ̹ element 
	$(viewLoadingImgElem).ajaxStart(function(){
		// ε̹ ġ  ũ	
		$(viewLoadingImgElem).css('position', 'absolute');
		$(viewLoadingImgElem).css('left', $("body").offset().left);
		$(viewLoadingImgElem).css('top', $("body").offset().top);
		$(viewLoadingImgElem).css('width', $(document).width());
		$(viewLoadingImgElem).css('height', $(document).height());
				
		intervalID = setInterval(function(){			
			getFileUploadProgress();	//ajaxû߿ Ͼε ¸ ֱ ûѴ.	
		},50);
		$(this).fadeIn(250);
	}).ajaxStop(function(){		
		clearInterval(intervalID); //Stop updating		
		$(this).fadeOut(250);
	});					

	$(fileUploadBtnElem).click(function(){
		$(fileUploadFrm).ajaxSubmit({
			url : 'fileupload.do',
			type : 'POST',
			data : $(fileUploadFrm).serialize(),
			success : function(data){
				alert(" Ϸ Ǿϴ.");				
				clearInterval(intervalID); //Stop updating				
			},error : function(){
				alert("  ߽ϴ.");
			}
		});	
	});
    
	//Ͼε ¸ ֱ Ȯؼ ´.
	var getFileUploadProgress = function(){
		$.ajax({
			url : 'uploadstatus.do',
			success : function(data){
				var jsonData = eval('('+ data +')');

				$(viewLoadingImgElem).html(										
						"<div class='progressTitle'>" +
						"	<span><strong>ε </strong></span>" +		
						"</div>" +
						"<div class='progressWrapper'>" +
						"	<div class='progresspercent'>" +
						"		<span class='percentwrapper'>"+
						"			<span class='pgbar'>&nbsp;</span>"+
						"			<span class='pgpercent'><strong>"+ jsonData.percent+"%</strong></span>" +				
						"		</span>" +
						"	</div>"+
						"	<div class='progressfilereadsize'>"+
						"		<span class='readsize'>" + jsonData.bytesread + "<strong> bytes</strong></span>" +
						"		<span class='divider'><strong>/</strong></span>" +
						"		<span class='filelength'>" + jsonData.contentlength + "<strong> bytes</strong></span>" +
						"	</div>" +
						"	<div class='progressSpeed'>" +
						"		<span class='kbps'>" + jsonData.kbps + "<strong> kbps</strong></span>" +
						"	</div>" +								
						"</div>"	);										
				$(viewLoadingImgElem).find("div.progresspercent span.pgbar").width(jsonData.percent+"%").addClass("pgbarbgcolor");				
			}
		});
	};

});
</script>
</head>
<body>
<div class="fileUploadSection" style="border:1px solid #ccc;height:40px;">
	<form id="fileform" enctype="multipart/form-data" method="post">	
		<div class="fileUploadSection">		
			<div class="fileUpWrapper">
				<div class="uploadPathDiv">
					<input type="text" id="filePath" style="border:none;width:98%;height:22px;line-height:22px;margin-left:1px;" readonly="readonly" />
				</div> 
				<div id="fileUpBtnWrapper" style="position:relative; left: 2px; width:40px;height:25px; overflow:hidden;border:1px solid #ccc;text-align:center;">
				   <input id="file" name="upFile" type="file" style="position: absolute;right:0px;top:0px; opacity:0; filter: alpha(opacity=0);cursor: pointer;outline:none;"/>     
				   <span style="font-size:13px;line-height:25px;"></span>		     
				</div>
			</div>					
		</div>
		<div style="float:left;margin-top:20px;"><span class="sendData" style="border:1px solid #ccc;padding:10px;"></span></div>				 
	</form>			
</div>
<!-- Ajax Progress Status -->
<div id="viewLoading">
</div>
</body>
</html>